summaryrefslogtreecommitdiffstats
path: root/source/tcl/tclx/tclx.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tclx/tclx.SlackBuild')
-rwxr-xr-xsource/tcl/tclx/tclx.SlackBuild15
1 files changed, 8 insertions, 7 deletions
diff --git a/source/tcl/tclx/tclx.SlackBuild b/source/tcl/tclx/tclx.SlackBuild
index f6d538cea..a562e180c 100755
--- a/source/tcl/tclx/tclx.SlackBuild
+++ b/source/tcl/tclx/tclx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=tclx
-VERSION=${VERSION:-8.4}
+VERSION=${VERSION:-8.4.1}
NUMJOBS=${NUMJOBS:-" -j7 "}
BUILD=${BUILD:-3}
@@ -54,12 +54,12 @@ elif [ "$ARCH" = "x86_64" ]; then
fi
cd $TMP
-rm -rf ${PKGNAM}${VERSION}
-tar xvf $CWD/${PKGNAM}$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}$VERSION || exit 1
+rm -rf ${PKGNAM}8.?
+tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+cd ${PKGNAM}8.4 || exit 1
-zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -71,6 +71,7 @@ find . \
# Configure:
CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \